idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Util.DynamicLinker

Description

# Documentation

data ForeignFun #

Constructors

Fun |

Fields

- fun_name :: String
- fun_handle :: FunPtr a

data DynamicLib #

Constructors

Lib |

Fields

- lib_name :: String
- lib_handle :: DL

#### Instances

Instances details

NFData DynamicLib # |
Instance details Defined in Idris.DeepSeq Methods rnf :: DynamicLib -> () #
Eq DynamicLib # |
Instance details Defined in Util.DynamicLinker Methods (==) :: DynamicLib -> DynamicLib -> Bool # (/=) :: DynamicLib -> DynamicLib -> Bool #

tryLoadLib :: [FilePath] -> String -> IO (Maybe DynamicLib) #

tryLoadFn :: String -> DynamicLib -> IO (Maybe ForeignFun) #